package il.ac.tau.cs.sw1.io;

import java.io.File;
import java.io.IOException;

public class DirectoryListing {

	public static void main(String[] args) throws IOException {
		File file = new File(args[0]);
		System.out.println("Path = " + file.getCanonicalPath());

		if (file.isDirectory()) {
			for (File f : file.listFiles()) {
				System.out.printf("%c\t%-10s\t%d\n", 
						f.isDirectory() ? 'd' : 'f', f.getName(), f.length());
			}
		}
	}

}
